#
# spec file for package ghc-regex-pcre-builtin
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name regex-pcre-builtin
Name:           ghc-%{pkg_name}
Version:        0.95.2.3.8.44
Release:        bp154.1.11
Summary:        PCRE Backend for "Text.Regex" (regex-base)
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-regex-base-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
ExcludeArch:    %{ix86}

%description
This package provides a <http://pcre.org/ PCRE> backend for the
<//hackage.haskell.org/package/regex-base regex-base> API.

See also <https://wiki.haskell.org/Regular_expressions> for more information.

Includes bundled code from www.pcre.org.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%autosetup -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md

%changelog
* Fri Feb  4 2022 Peter Simons <psimons@suse.com>
- Update regex-pcre-builtin to version 0.95.2.3.8.44 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Mon Sep 13 2021 psimons@suse.com
- Update regex-pcre-builtin to version 0.95.2.3.8.44.
  Upstream has not updated the file "ChangeLog.md" since the last
  release.
* Fri Mar 12 2021 psimons@suse.com
- Update regex-pcre-builtin to version 0.95.2.3.8.43.
  Upstream has not updated the file "ChangeLog.md" since the last
  release.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Mon Oct 19 2020 psimons@suse.com
- Update regex-pcre-builtin to version 0.95.1.3.8.43.
  [#]# 0.95.1.3.8.43
  - Version bump to reflect pcre version (8.43) and to have Hackage upgrade from 0.95.1.2.8.43 which does not include #15
  [#]# 0.95.1.1.8.44
  - Fix: `asCString` for `Text` regexes doesn't check for null-termination, causing the compiled regex to be corrupted. (@kuribas)
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun 16 2020 Peter Simons <psimons@suse.com>
- Re-generate file with latest version of spec-cleaner.
* Wed May  6 2020 psimons@suse.com
- Update regex-pcre-builtin to version 0.95.1.2.8.43.
  Upstream has not updated the file "ChangeLog.md" since the last
  release.
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Fri Oct  4 2019 psimons@suse.com
- Update regex-pcre-builtin to version 0.95.1.1.8.43.
  Upstream has not updated the file "ChangeLog.md" since the last
  release.
* Thu Oct  3 2019 psimons@suse.com
- Update regex-pcre-builtin to version 0.95.1.0.8.43.
  Upstream added a new change log file in this release. With no
  previous version to compare against, the automatic updater cannot
  reliable determine the relevante entries for this release.
* Tue Oct  1 2019 psimons@suse.com
- Update regex-pcre-builtin to version 0.95.0.8.8.35.
  Upstream does not provide a change log file.
* Mon Sep 30 2019 psimons@suse.com
- Update regex-pcre-builtin to version 0.94.5.8.8.35.
  Upstream does not provide a change log file.
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Wed May 16 2018 psimons@suse.com
- Prefer the new %%license attribute over %%doc.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.94.4.8.8.35 revision 0 with cabal2obs.
* Mon Apr 20 2015 mimi.vx@gmail.com
- initial commit
